<template>
  <div id="index">
    <admin-frame @search="search" :limit="limit" :total="total" :useNav="false">
      <template v-slot:info>
        <list-1 :list="list" @toView="toView"></list-1>
      </template>
    </admin-frame>
  </div>
</template>

<script>
import list1 from '@/layout/scientific/laboratory/list-1.vue';
import adminFrame from '@common/src/components/mobile-frame/mobile-main.vue';
import { mapState, createNamespacedHelpers } from 'vuex';
const { mapActions } = createNamespacedHelpers('basic');
export default {
  name: 'index',
  props: {},
  components: {
    adminFrame,
    list1,
  },
  data: function () {
    return {
      list: [],
      total: 0,
      limit: 4,
    };
  },
  created() {
    this.search();
  },
  methods: {
    ...mapActions(['query', 'fetch']),
    async search({ skip = 0, limit = this.limit, searchName, ...info } = {}) {
      if (searchName) info.chief_name = searchName;
      const res = await this.query({ skip, limit, ...info });
      if (res.errcode == '0') {
        this.$set(this, 'list', res.data);
        this.$set(this, 'total', res.total);
      }
    },
    toView(data) {
      this.$router.push({ path: '/scientific/laboratory/info', query: { id: data._id } });
    },
  },

  metaInfo() {
    return { title: this.$route.meta.title };
  },
};
</script>

<style lang="less" scoped>
.dialog {
  /deep/.van-dialog__content {
    max-height: 350px;
    overflow-y: auto;
  }
}
</style>
